org.apache.tiles.web.util

## Class TilesDispatchServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.tiles.web.util.TilesDispatchServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class TilesDispatchServlet
      extends javax.servlet.http.HttpServlet

  Tiles dispatching servlet. Used to invoke a definition directly.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTAINER_KEY_INIT_PARAMETER` Init parameter to define the key of the container to use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TilesDispatchServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
    `protected void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
    `protected String` | `getDefinitionName(javax.servlet.http.HttpServletRequest request)` Returns the called definition name for the given request.
    `void` | `init()`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTAINER_KEY_INIT_PARAMETER

          public static final String CONTAINER_KEY_INIT_PARAMETER

      Init parameter to define the key of the container to use.
      Since:
        2.1.2
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TilesDispatchServlet

          public TilesDispatchServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest req,
                               javax.servlet.http.HttpServletResponse res)

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`

    - #### getDefinitionName

          protected String getDefinitionName(javax.servlet.http.HttpServletRequest request)

      Returns the called definition name for the given request.
      Parameters:
        `request` - The request to parse.
      Returns:
        The definition name to render.

    - #### doPost

          protected void doPost(javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res)

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.